> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Box Hub Items resources

A set of endpoints used to manage items within a Box Hub.

## Box Hub Item

A Box Hub Item is a Box Item that is referenced in a Box Hub.

<Accordion title="Attributes and example">
  | Property | Type           | Required | Description                                                            |
  | -------- | -------------- | -------- | ---------------------------------------------------------------------- |
  | `id`     | `string`       | Yes      | The unique identifier for this item.                                   |
  | `type`   | `enum<string>` | Yes      | The type of the item. Available options: `file`, `folder`, `web_link`. |
  | `name`   | `string`       | Yes      | The name of the item.                                                  |

  ```json Example theme={null}
  {
    "id": "12345678",
    "type": "file",
    "name": "My File"
  }
  ```
</Accordion>

## Box Hub Items

A list of Box Hub items.

<Accordion title="Attributes and example">
  | Property      | Type                                   | Required | Description                                                                                                                                                                            |
  | ------------- | -------------------------------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `entries`     | array of [Box Hub Item](#box-hub-item) | No       | A list of Box Hub items.                                                                                                                                                               |
  | `limit`       | `integer`                              | No       | The limit that was used for these entries. This will be the same as the `limit` query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
  | `next_marker` | `string`                               | No       | The marker for the start of the next page of results. Can be `null`.                                                                                                                   |

  ```json Example theme={null}
  {
    "entries": [
      {
        "id": "12345678",
        "type": "file",
        "name": "My File"
      }
    ],
    "limit": 1000,
    "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
  }
  ```
</Accordion>

## Box Hub Items Manage Response

Response schema for the status of Box Hub items management operations.

<Accordion title="Attributes and example">
  | Property     | Type                                     | Required | Description                                    |
  | ------------ | ---------------------------------------- | -------- | ---------------------------------------------- |
  | `operations` | array of `Box Hub Item Operation Result` | Yes      | List of operations performed on Box Hub items. |

  ```json Example theme={null}
  {
    "operations": [
      {
        "action": "add",
        "item": {
          "type": "file",
          "id": "42037322"
        },
        "parent_id": "721d97d7-ac8a-4e5e-adb6-ef11af4e6d9e",
        "status": 200,
        "error": "Item not found"
      }
    ]
  }
  ```
</Accordion>
